.table {
  width: 100%;
  background: $table-bg;
  @include box-shadow($table-shadow);
  @include border-radius(4px);

  &__title {
    padding: 17px 0 8px;
    font-size: 16px;
    color: $table-title-color;

    &.type2 {
      margin: 0;
      padding-top: 50px;
      font-size: 20px;
    }
  }

  &__marker {}

  &__btns {
    padding: 20px 0;
    text-align: center;

    &.active {
      display: block;
    }
  }
}

.tr {
  &-head {
    border-bottom: 1px solid $th-bd-color;
  }

  &-hidden {
    display: none;

    &.active {
      display: table-row;
      background: $table-hidden-bg;
    }

    & + .tr-main {
      @include box-shadow($table-hiddenLast-shadow);
    }
  }

  &.opened {
    & + .tr-hidden {
      @include box-shadow($table-hidden-shadow);
    }
  }
}

.th {
  vertical-align: middle;
  height: 53px;
  font-weight: 400;
  font-size: 14px;
  color: $th-color;
  text-align: right;
  background: $th-bg;

  &:first-child {
    @include border-radius(4px 0 0 0);
  }

  &:last-child {
    padding-right: 40px;
    @include border-radius(0 4px 0 0);
  }

  &__in {
    padding: 0 2px;
  }

  &__marker {
    padding-left: 40px;
    text-align: left;
  }

  &__assetsSym {
    padding-left: 40px;
    text-align: left;
  }

  &__assetsName {
    text-align: left;
  }

  &__action {}
}

.td {
  vertical-align: middle;
  width: 14%;
  height: 67px;
  font-size: 16px;
  color: $text-color-bg;
  text-align: right;

  &:last-child {
    padding-right: 30px;
  }

  &__in {
    padding: 0 2px;
  }

  &__marker {
    padding-left: 45px;
    text-align: left;
  }

  &__assetsSym {
    width: 17%;
    padding-left: 45px;
    text-align: left;
  }

  &__assetsName {
    width: 11%;
    text-align: left;
  }

  &__action {
    text-align: right;
  }
}

//old
.tableValue {
  &__dd {
    display: inline-block;
    min-width: 105px;
    text-align: right;
  }

  &__trigger {
    padding-right: 0;
    font-size: 13px;
    color: $th-color;

    &.ddTrigger::after {
      right: -15px;
      margin-top: -3px;
      font-size: 6px;
      color: $th-color;
    }
  }

  &__ddMenu {
    width: 220px;
    margin-top: 19px;
    text-align: left;

    .ddMenu__link {
      padding-right: 20px;
    }
  }
}

//old

.tableOperation {
  &__dd {
    display: inline-block;
  }

  &__trigger {
    padding-right: 30px;
    color: $th-color;

    &.ddTrigger::after {
      content: '\e90c';
      right: 0;
      margin-top: -10px;
      line-height: 1;
      font-size: 20px;
      color: $th-color;
    }
  }

  &__ddMenu {
    right: auto;
    left: 0;
    width: 180px;
    margin: 23px 0 0 -20px;
    text-align: left;

    .ddMenu__link {}
  }
}

.tableAction {
  position: relative;
  padding: 5px 0 5px 5px;

  &__dd {
    min-width: 75px;
  }

  &__text {
    padding-right: 10px;
    font-size: 16px;
    color: $text-color-bg;
  }

  &__icon {
    position: absolute;
    top: 50%;
    right: -20px;
    margin-top: -11px;
    font-size: 20px;
    color: #d5d5d5;

    @include transition(color .2s ease);

    &.icon-str_close {}

    &.icon-str_open {
      display: none;
    }
  }

  &__trigger {
    &.ddTrigger::after {
      content: none;
    }
  }

  &__dd {
    &Menu {
      width: auto;
      min-width: 180px;
      max-width: 300px;
      text-align: left;
    }

    &.open {
      .icon-str_open {
        display: inline;
      }

      .icon-str_close {
        display: none;
      }
    }

    .ddMenu__link {
      padding: 12px 10px 12px 20px;
    }
  }

  &:hover {
    .tableAction__icon {
      color: #b1b4b6;
    }
  }
}

.table2 {
  display: table;
  border-radius: 5px;
  box-shadow: $table-shadow;

  &__title {
    margin: 0 0 20px;
    font-weight: 500;
    font-size: 26px;
    color: $text-color-bg;
  }

  &__btns {
    margin: 20px 0;
    padding: 0 30px;

    &.noXPad {
      padding-right: 0;
      padding-left: 0;
    }
  }
}

.table-scroll {
  display: block;

  .table__head,
  .table__body,
  .tableRow {
    display: block;
  }

  .table__head,
  .tableRow {
    overflow: hidden;
  }

  .table__head.no_ov {
    overflow: visible;
  }

  .tableCell {
    float: left;
  }
}

.table-sm {
  .table__head {
    .tableCell {
      padding-top: 7px !important;
      padding-bottom: 7px;
      font-size: 12px;
      text-transform: uppercase;

      &:first-child,
      &:last-child {
        @include border-radius(0);
      }
    }
  }

  .tableCell {
    min-width: 50px;
    padding-top: 8px;
    padding-bottom: 8px;
    font-size: 14px;
  }

  .tableRow:first-child .tableCell {
    padding-top: 8px;
  }

  .tableRow:last-child .tableCell {
    padding-bottom: 8px;
  }
}

.table3 {
  display: block;
  border-radius: 0 !important;
  box-shadow: none !important;

  .table__head,
  .table__body,
  .tableRow {
    display: block;
  }

  .tableRow {
    overflow: hidden;
  }

  .table__head {
    background: $section-head-color !important;
    overflow: hidden;

    .tableCell {
      font-weight: 500;
      border-bottom-color: $section-head-color;
    }
  }

  .tableRow:nth-child(even) {
    background: rgba($color-second, .1);
  }
}

.tableRow {
  display: table-row;

  &.open {
    & .icon-str_open {
      opacity: 1;
      visibility: visible;
    }
  }

  &:first-child .tableCell {
    padding-top: 15px;
  }

  &:last-child .tableCell {
    padding-bottom: 15px;
  }
}

.tableCell {
  display: table-cell;
  position: relative;
  vertical-align: middle;
  min-width: 125px;
  padding: 11px 1%;
  color: $text-color-bg;

  &:last-of-type {
    padding-right: 30px;
  }

  &:first-of-type {
    padding-left: $insideXPad;
  }

  &.light {
    color: $text-color2;
  }

  .red {
    color: $red;
  }

  .green {
    color: $green2;
  }

  a {
    color: $text-color-bg;
  }

  &__desc {
    display: block;
    font-size: 12px;
    color: #bbbdc0;
  }

  &__link {
    font-weight: 600;
    color: $color-second;
  }

  &__pic {
    height: 33px;
  }
}

.table__head {
  font-size: 14px;
  background: $th-bg;
  cursor: inherit !important;

  & .tableCell {
    padding-top: 17px !important;
    padding-bottom: 17px;
    border-bottom: 1px solid $th-bd-color;
    color: $th-color;

    &.sort {
      cursor: pointer;

      &--true, &--false, &--default {
        @extend .tableCell.sort;
      }

      &--true::after { // ascend
        content: ' ▲';
      }

      &--false::after { // descend
        content: ' ▼';
      }
    }

    &:first-child {
      @include border-radius(4px 0 0 0);
    }

    &:last-child {
      @include border-radius(0 4px 0 0);
    }
  }
}

.table-voting-witnesses2 .tableRow {
  &.sortable {
    cursor: pointer;
  }
}

.table__body {
  display: table-row-group;
  font-size: 16px;
}

.table__footer {
  &-btn {
    display: block;
    width: 224px;
    margin: 0 auto;
  }
}

.table__sorting {
  &:hover {
    opacity: .6;
  }

  &Wrap {
    position: absolute;
    top: 17px;
    right: 21px;
  }

  &Icon {
    font-size: 17px;
    color: $sort-arrow-color;

    & + & {
      vertical-align: top;
      margin-left: 0;
    }

    &.down {
      @include transform(rotate(180deg));
      display: inline-block;
    }

    &.active {
      color: $sort-arrow-active;
    }
  }
}

.table__scroll {
  max-height: 400px;

  //overflow: auto;
  &.maxHeight-620 {
    max-height: 620px;
  }
}

.table__wrap {
  margin-bottom: 23px;
}

.table__section {
  margin-bottom: 40px;

  &:last-child {
    margin-bottom: 0;
  }
}

//explorer page
.table-explore-acc {
  .tableCell {
    &:last-child {
      width: 10px;
      min-width: 120px;
    }
  }
}

.table-explore-freeSchedule {
  .tableCell {
    &:nth-child(1) {
      width: 30%;
    }

    &:nth-child(2) {
      width: 20%;
    }

    &:nth-child(3) {
      width: 20%;
    }

    &:nth-child(4) {
      width: 30%;
    }
  }
}

.table-db-rec-blocks {
  .tableCell {
    &:nth-child(1) {}

    &:nth-child(2) {
      padding-right: 10%;
    }

    &:nth-child(3) {
      padding-left: 10%;
    }

    &:nth-child(4) {}
  }
}

.tableScroll {
  height: 100px;
  overflow: auto;

  .table {
    margin-top: -52px;
  }
}

//exchange page
.table__tab {
  overflow: hidden;

  &Item {
    float: left;
  }

  &Link {
    display: block;
    height: 30px;
    padding: 0 14px;
    line-height: 30px;
    font-weight: 500;
    font-size: 13px;
    color: #ffffff;

    &.active {
      background: $new-blue12;
      background: $table-tab-active;
    }
  }
}

.table__empty {
  @include va_middle_out;

  &In {
    @include va_middle_in;

    line-height: 1.2;
    font-size: 16px;
    color: $text-color-bg;
    text-align: center;
  }
}

.tableRow__del {
  position: absolute;
  top: 0;
  right: 0;
  padding: 5px;

  @include transition();

  &:hover {
    opacity: .6;
  }

  &Icon {
    font-size: 5px;
    color: $red2;
  }
}


.table-db-rec-activity {
  table-layout: fixed;

  .tableCell {
    &:nth-child(1) {
      width: 25%;

      .btn-mark {
        max-width: 100%;
        padding: 0 15px;
        overflow: hidden;
        text-overflow: ellipsis;
      }

      .viewMemo {
        display: inline;
        padding: 10px;
        line-height: 36px;
        font-size: 10px;

        &:hover {
          color: $light-blue;
          cursor: pointer;
        }
      }
    }

    &:nth-child(2) {
      width: 8%;
    }

    &:nth-child(3) {
      width: 8%;
    }

    &:nth-child(4) {
      width: 30%;
    }

    &:nth-child(5) {
      width: 10%;
    }
  }
}

.table-voting-witnesses,
.table-voting-committee {
  .tableCell {
    width: 20%;
  }
}

.table-voting-witnesses2 {
  text-align: right;
}

.table-history {
  .tableRow:last-child .tableCell {
    padding-bottom: 30px;
  }

  .tableCell {
    max-width: 100px;
    padding: 20px 1%;

    &:nth-child(1) {
      padding-left: 30px;
    }

    &:nth-child(2) {
      padding-right: 4%;
    }

    &:nth-child(3) {
      padding-right: 3%;
      padding-left: 10%;
    }

    //&:nth-child(4);}
    &:nth-child(5) {
      padding-right: 30px;
    }
  }
}
